#!/usr/bin/env python3

# Copyright (C) 2020 by eichhornchen, ÿnérant
# SPDX-License-Identifier: GPL-3.0-or-later

from setuptools import find_packages, setup

with open("README.md", "r") as f:
    long_description = f.read()

setup(
    name="squinnondation",
    version="0.1",
    author="eichhornchen, ÿnérant",
    author_email="squinnondation@crans.org",
    description="M1 networks project",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://gitlab.crans.org/ynerant/squinnondation",
    packages=find_packages(),
    license='GPLv3',
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Topic :: Communications :: Chat :: Internet Relay Chat",
    ],
    python_requires='>=3.6',
    entry_points={
        "console_scripts": [
            "squinnondation = squinnondation.squinnondation:Squinnondation.main",
        ]
    }
)
